/* Core Stuff */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}



body {
    font-size: 1rem;
    line-height: 1.7;
    color: #000;
	background-image: url("../images/main.jpg");
	background-size: cover;
	background-repeat: no-repeat;
	background-position:center;
}

/* wylaczone tlo na 'home' */
body.home {
    background: none !important;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    color: #454B4D;
}

a {
    color: #1F8CD6;
    text-decoration: none;
}

a:hover {
    color: #175E91;
}


img {
  max-width: 100%;
  height: auto;
}


pre {
    background: #F0F0F0;
    margin: 1rem 0;
    border-radius: 2px;
}

blockquote {
    border-left: 10px solid #eee;
    margin: 0;
    padding: 0 2rem;
}


/* Utility Classes */
.wrapper {
	/*margin: 1rem;*/
}

.padding {
    padding: 1rem 0rem;
}

.left {
    float: left;
}

.right {
    float: right
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}


/* Content Styling */
.header .padding {
    padding: 1rem 0;
}

.header {
	position: relative;
    color: #fff;
	height: 12rem;   	
    line-height: 6rem;  
}	
	
/* półprzezroczysta warstwa */
.header::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4); /* 0.4 = 40% przyciemnienia */
  z-index: 1;
}

/* aby treść była nad overlay */
.header > * {
  position: relative;
  z-index: 2;
}


.header a {
    color: #000;
}

.header .logo {
    text-transform: uppercase;	
	margin: 0 1rem;
	height: 10rem;  
}

.logo img {
    height: 100%; 
    width: auto;
    vertical-align: middle;
}


.footer {
    background-color: #eee;
}


/* jasna nakładka */
#body::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.3); /* 0.3 = 30% rozjaśnienia */
  z-index: 1;
}

/* treść nad nakładką */
#body > .wrapper {
  position: relative;
  z-index: 2;
}


#body p {
	margin: 1px 0;	
}	


/* swiper w sekcji */
#body {
  position: relative;
  padding-top: 0;
  overflow: visible; /* ‹ musi być visible, inaczej animacja się psuje */
}


.swiper {
  width: auto;          /* slider dopasowuje się do obrazka */
  max-width: 800px;    
  margin: 0 auto;       /* wyśrodkowanie */
}

.swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  width: auto;          /* brak rozciągania */
  height: auto;         /* zachowanie proporcji */
  max-width: 100%;      /* zabezpieczenie na małych ekranach */
  border-radius: 5px;   
}



/* Menu Settings */
.main-nav ul {
    text-align: center;
    letter-spacing: -1em;
    margin: 0 1rem;
    padding: 0;
}

.main-nav ul li {
    display: inline-block;
    letter-spacing: normal;
}

.main-nav ul li a {
    position: relative;
    display: block;
    line-height: 45px;
    color: #fff;
    padding: 0 20px;
    white-space: nowrap;
}

.main-nav > ul > li > a {
    border-radius: 2px;
}

/*Active dropdown nav item */
.main-nav ul li:hover > a {
    background-color: #175E91;
}

/* Selected Dropdown nav item */
.main-nav ul li.selected > a {
    background-color: #fff;
    color: #175E91;
}

/* Dropdown CSS */
.main-nav ul li {position: relative;}

.main-nav ul li ul {
    position: absolute;
    background-color: #1F8DD6;
    min-width: 100%;
    text-align: left;
    z-index: 999;

    display: none;
}
.main-nav ul li ul li {
    display: block;
}

/* Dropdown CSS */
.main-nav ul li ul ul {
    left: 100%;
    top: 0;
}

/* Active on Hover */
.main-nav li:hover > ul {
    display: block;
}

/* Child Indicator */
.main-nav .has-children > a {
    padding-right: 30px;
}
.main-nav .has-children > a:after {
    font-family: FontAwesome;
    content: '\f107';
    position: absolute;
    display: inline-block;
    right: 8px;
    top: 0;
}

.main-nav .has-children .has-children > a:after {
    content: '\f105';
}



